Bug 469675 - time(1) man page bug
time(1) man page bug
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: man-pages (Show other bugs)
4.9
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 08:38 EST by Adam Stokes
Modified: 2010-10-23 01:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 08:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2008-11-03 08:38:01 EST
Description of problem:
Manual page of time(1) incorrectly states that timing statistics
is written to standard output.  In fact, it is written to standard
error.

[...]
--- SIGCHLD (Child exited) @ 0 (0) ---
gettimeofday({1225273001, 762486}, NULL) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_IGN}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
write(2, "0.00", 40.00)                     = 4
write(2, "u", 1u)                        = 1
write(2, "s", 1s)                        = 1
write(2, "e", 1e)                        = 1
write(2, "r", 1r)                        = 1
write(2, " ", 1 )                        = 1

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. man 1 time

Expected results:
Should state that timing statistics are written to stderr

Additional info:
Comment 7 errata-xmlrpc 2009-01-14 08:21:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0023.html

Note You need to log in before you can comment on or make changes to this bug.